Index: doc/menu classes.uxf
===================================================================
--- doc/menu classes.uxf	(revision f82ac4e1c4f69165e3602ccdadad86a82b35fd21)
+++ doc/menu classes.uxf	(revision a5041ec8d039f68329ca096fda2b8fc1c40b82ab)
@@ -21,5 +21,5 @@
 
 
-// This text will be stored with each diagram;  use it for notes.</help_text><zoom_level>10</zoom_level><element><type>com.umlet.element.base.Class</type><coordinates><x>0</x><y>30</y><w>210</w><h>140</h></coordinates><panel_attributes>Menu
+// This text will be stored with each diagram;  use it for notes.</help_text><zoom_level>10</zoom_level><element><type>com.umlet.element.base.Class</type><coordinates><x>0</x><y>330</y><w>210</w><h>140</h></coordinates><panel_attributes>Menu
 --
 --
@@ -30,5 +30,5 @@
 #display()
 --
--- Base class for all Menus</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>0</x><y>240</y><w>210</w><h>250</h></coordinates><panel_attributes>TextMenu
+-- Base class for all Menus</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>0</x><y>540</y><w>210</w><h>250</h></coordinates><panel_attributes>TextMenu
 --
 outputter: ostream
@@ -46,5 +46,5 @@
 hasQuit(): bool
 showEntry(MenuItem*)
-</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>740</x><y>0</y><w>370</w><h>380</h></coordinates><panel_attributes>MenuItem
+</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>740</x><y>300</y><w>370</w><h>380</h></coordinates><panel_attributes>MenuItem
 --
 char trigger: char
@@ -70,7 +70,7 @@
 Constraints
 -- A MenuItem always belongs to a single
--- Destruction is done by the owning menu</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>180</x><y>60</y><w>570</w><h>40</h></coordinates><panel_attributes>lt=&lt;&lt;&lt;&lt;-
+-- Destruction is done by the owning menu</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>180</x><y>360</y><w>580</w><h>50</h></coordinates><panel_attributes>lt=&lt;&lt;&lt;&lt;-
 m1=1
-m2=1...N</panel_attributes><additional_attributes>30;30;560;30</additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>70</x><y>140</y><w>40</w><h>110</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>30;30;30;100</additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>750</x><y>900</y><w>360</w><h>120</h></coordinates><panel_attributes>ActionMenuItem
+m2=1...N</panel_attributes><additional_attributes>30;30;560;30</additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>70</x><y>440</y><w>50</w><h>120</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>30;30;30;100</additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>750</x><y>1200</y><w>360</w><h>120</h></coordinates><panel_attributes>ActionMenuItem
 --
 
@@ -82,5 +82,5 @@
 Responsibilities
 -- Call action.call() when the trigger is recieved
-</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>880</x><y>350</y><w>50</w><h>570</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>30;30;30;550</additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>1400</x><y>530</y><w>340</w><h>260</h></coordinates><panel_attributes>DisplayMenuItem
+</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>880</x><y>650</y><w>50</w><h>570</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>30;30;30;550</additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>1400</x><y>830</y><w>340</w><h>260</h></coordinates><panel_attributes>DisplayMenuItem
 --
 string title;
@@ -98,5 +98,5 @@
 Responsibilities
 -- Display any kind of stringView within a Menu
--- All trigger are ignored</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>1890</x><y>580</y><w>410</w><h>120</h></coordinates><panel_attributes>StringView
+-- All trigger are ignored</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>1890</x><y>880</y><w>410</w><h>120</h></coordinates><panel_attributes>StringView
 --
 --
@@ -106,7 +106,7 @@
 --
 Responsibilities
--- Base class for anything that can be displayed as a String</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>1710</x><y>600</y><w>190</w><h>40</h></coordinates><panel_attributes>lt=&lt;&lt;&lt;&lt;-
+-- Base class for anything that can be displayed as a String</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>1710</x><y>900</y><w>190</w><h>40</h></coordinates><panel_attributes>lt=&lt;&lt;&lt;&lt;-
 m1=1...N
-m2=1</panel_attributes><additional_attributes>30;30;180;30</additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>880</x><y>350</y><w>640</w><h>200</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>30;30;30;150;620;150;620;180</additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>960</x><y>550</y><w>310</w><h>220</h></coordinates><panel_attributes>SeperatorItem
+m2=1</panel_attributes><additional_attributes>30;30;180;30</additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>880</x><y>650</y><w>640</w><h>200</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>30;30;30;150;620;150;620;180</additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>960</x><y>850</y><w>310</w><h>220</h></coordinates><panel_attributes>SeperatorItem
 --
 spacer: char
@@ -122,5 +122,5 @@
 --
 Responsibilities
--- Display a seperating line of spacers </panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>880</x><y>350</y><w>250</w><h>220</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>30;30;30;150;230;150;230;200</additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>350</x><y>460</y><w>360</w><h>140</h></coordinates><panel_attributes>&lt;&lt;composite&gt;&gt;
+-- Display a seperating line of spacers </panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>880</x><y>650</y><w>250</w><h>220</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>30;30;30;150;230;150;230;200</additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>350</x><y>760</y><w>360</w><h>140</h></coordinates><panel_attributes>&lt;&lt;composite&gt;&gt;
 SubMenuItem
 --
@@ -131,7 +131,7 @@
 --
 Responsibilities
--- Produce a submenu when this item is triggered</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>180</x><y>110</y><w>190</w><h>460</h></coordinates><panel_attributes>lt=&lt;&lt;&lt;&lt;-
+-- Produce a submenu when this item is triggered</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>180</x><y>410</y><w>190</w><h>460</h></coordinates><panel_attributes>lt=&lt;&lt;&lt;&lt;-
 m1=1
-m2=1</panel_attributes><additional_attributes>170;440;110;440;110;30;30;30</additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>490</x><y>350</y><w>440</w><h>130</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>420;30;420;80;30;80;30;110</additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>380</x><y>890</y><w>220</w><h>170</h></coordinates><panel_attributes>&lt;&lt;Command&gt;&gt;
+m2=1</panel_attributes><additional_attributes>170;440;110;440;110;30;30;30</additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>490</x><y>650</y><w>440</w><h>130</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>420;30;420;80;30;80;30;110</additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>380</x><y>1190</y><w>220</w><h>170</h></coordinates><panel_attributes>&lt;&lt;Command&gt;&gt;
 Action
 --
@@ -144,7 +144,7 @@
 --
 Responsibilities
--- Perfom an Operation on call</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>570</x><y>910</y><w>200</w><h>50</h></coordinates><panel_attributes>lt=&lt;&lt;&lt;&lt;-
+-- Perfom an Operation on call</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>570</x><y>1210</y><w>200</w><h>50</h></coordinates><panel_attributes>lt=&lt;&lt;&lt;&lt;-
 m1=0...N
-m2=1</panel_attributes><additional_attributes>180;30;30;30</additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>320</x><y>1170</y><w>340</w><h>190</h></coordinates><panel_attributes>&lt;&lt;Wrapper&gt;&gt;
+m2=1</panel_attributes><additional_attributes>180;30;30;30</additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>320</x><y>1470</y><w>340</w><h>190</h></coordinates><panel_attributes>&lt;&lt;Wrapper&gt;&gt;
 MethodAction
 --
@@ -158,5 +158,5 @@
 --
 Responsibilities
--- Transform an ordinary method into an Action</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>450</x><y>1030</y><w>50</w><h>160</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>30;30;30;140</additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>1970</x><y>340</y><w>260</w><h>80</h></coordinates><panel_attributes>&lt;&lt;View&gt;&gt;
+-- Transform an ordinary method into an Action</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>450</x><y>1330</y><w>50</w><h>160</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>30;30;30;140</additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>1970</x><y>640</y><w>260</w><h>80</h></coordinates><panel_attributes>&lt;&lt;View&gt;&gt;
 View
 --
@@ -165,5 +165,5 @@
 Responsibilities
 -- Anything that needs to be shown
-</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>2070</x><y>390</y><w>40</w><h>200</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>30;30;30;190</additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>1660</x><y>890</y><w>410</w><h>150</h></coordinates><panel_attributes>&lt;&lt;Wrapper&gt;&gt;
+</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>2070</x><y>690</y><w>40</w><h>200</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>30;30;30;190</additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>1660</x><y>1190</y><w>410</w><h>150</h></coordinates><panel_attributes>&lt;&lt;Wrapper&gt;&gt;
 MethodStringView
 --
@@ -175,5 +175,5 @@
 --
 Responsibilities
--- Turn any method that returns a string into a StringView</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>2150</x><y>890</y><w>470</w><h>150</h></coordinates><panel_attributes>&lt;&lt;Wrapper&gt;&gt;
+-- Turn any method that returns a string into a StringView</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Class</type><coordinates><x>2150</x><y>1190</y><w>470</w><h>150</h></coordinates><panel_attributes>&lt;&lt;Wrapper&gt;&gt;
 StreamStringView
 --
@@ -185,3 +185,3 @@
 --
 Responsibilities
--- Turn any method that uses a stream for output into a StringView</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>1830</x><y>670</y><w>270</w><h>230</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>260;30;260;120;30;120;30;220</additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>2060</x><y>670</y><w>340</w><h>230</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>30;30;30;120;330;120;330;220</additional_attributes></element></umlet_diagram>
+-- Turn any method that uses a stream for output into a StringView</panel_attributes><additional_attributes></additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>1830</x><y>970</y><w>270</w><h>230</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>260;30;260;120;30;120;30;220</additional_attributes></element><element><type>com.umlet.element.base.Relation</type><coordinates><x>2060</x><y>970</y><w>340</w><h>230</h></coordinates><panel_attributes>lt=&lt;&lt;-</panel_attributes><additional_attributes>30;30;30;120;330;120;330;220</additional_attributes></element></umlet_diagram>
